checkout_page.created

Triggered when a checkout page is created

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

Example Payload

Path Parameters

{
  "path": {},
  "cookie": {},
  "header": {},
  "query": {},
  "method": "post",
  "bodyMediaType": "application/json",
  "body": {
    "seller_id": "string",
    "sellerId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "event_id": "string",
    "eventId": "string",
    "event": "checkout_page.created",
    "data": {
      "checkoutPage": {
        "id": "string",
        "sellerId": "string",
        "type": "checkout",
        "status": "published",
        "testmode": true,
        "testmodeEnabledAt": "2019-08-24T14:15:22Z",
        "themeId": "string",
        "formLayout": [
          {
            "type": "heading",
            "id": "your-details",
            "text": "Your details",
            "level": "heading"
          },
          {
            "type": "group",
            "id": "name-row",
            "name": "Name",
            "columns": 2,
            "items": [
              {
                "type": "field",
                "fieldId": "665f1c2e4a9f3d2b1c0a9e81"
              },
              {
                "type": "field",
                "fieldId": "665f1c2e4a9f3d2b1c0a9e82"
              }
            ]
          },
          {
            "type": "divider",
            "id": "divider-1"
          }
        ],
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    }
  }
}